﻿@inject Infraestrutura.Singletons.Interfaces.IAmbienteSingleton Ambiente

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>BoiunaTech</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <img src="@Ambiente.BannerSuperior" alt="BoiunaTech 2020" class="img-fluid" id="BannerSuperior" style="min-width:100%" />
        <nav class="navbar navbar-expand-lg navbar-toggleable-lg navbar-dark bg-dark border-bottom box-shadow mb-3">
            <a class="navbar-brand" href="#">
                <img src="~/imgs/icone.png" class="d-inline-block align-self-center mb-1">
                <font class="font-weight-bold">BoiunaTech 2020</font>
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a class="nav-link" asp-controller="Home" asp-action="Index">Início</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" asp-controller="Home" asp-action="Inscritos" target="_blank">Lista de Inscritos</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Arquivos do BoiunaTech 2020
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item" asp-controller="Encerramento" asp-action="Minecraft">Minecraft</a>
                            <a class="dropdown-item" asp-controller="Encerramento" asp-action="Hackathon">Hackathon</a>
                        </div>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Pódio
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item" asp-controller="Encerramento" asp-action="PódioMinecraft">Minecraft</a>
                            <a class="dropdown-item" asp-controller="Encerramento" asp-action="PódioHackathon">Hackathon</a>
                        </div>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" asp-controller="Certificados" asp-action="Index">Certificados de Participação</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" asp-controller="Contato" asp-action="Index">Contato</a>
                    </li>
                </ul>
                <form class="form-inline my-2 my-lg-0 mr-2">

                    @if (User.Identity.IsAuthenticated && User.IsInRole("Competidor"))
                    {
                        <a class="btn btn-info my-2 my-sm-0" asp-controller="Competidor" asp-action="Index">
                            Painel
                        </a>
                    }
                    else if (User.Identity.IsAuthenticated && User.IsInRole("Admin"))
                    {
                        <a class="btn btn-info my-2 my-sm-0" asp-controller="Admin" asp-action="Painel">
                            Admin
                        </a>
                    }
                    else
                    {
                        <a class="btn btn-success my-2 my-sm-0" asp-controller="Competidor" asp-action="Logar">
                            Entrar
                        </a>
                    }

                </form>

                <form class="form-inline my-2 my-lg-0">
                    <a class="btn btn-success my-2 my-sm-0" asp-controller="Cadastro" asp-action="Index">Participar do BoiunaTech</a>
                </form>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted bg-white">
        <div class="container">
            &copy; 2020 BoiunaTech
        </div>

    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>
